/**
 * <copyright>
 * </copyright>
 *
 * $Id: CubeValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.analysis.olap.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.olap.CubeDimensionAssociation;
import orgomg.cwm.analysis.olap.CubeRegion;
import orgomg.cwm.analysis.olap.Schema;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.olap.Cube}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface CubeValidator {
	boolean validate();

	boolean validateIsVirtual(boolean value);
	boolean validateCubeDimensionAssociation(EList<CubeDimensionAssociation> value);
	boolean validateSchema(Schema value);
	boolean validateCubeRegion(EList<CubeRegion> value);
}
